{% extends "base.html" %}
{% load static %}
{% block head %}
<script>
    $(function () {
        console.log($("#formCrearPost")[0].elements.csrfmiddlewaretoken.value);
        $("#formCrearPost").on("submit", function (evt) {
            evt.preventDefault();
            //Al crear un evento sobre un elemento, la variable this es el elemento completo
            //Por lo tanto, utilizamos this para obtener los input
            //Otra forma es hacerlo con jquery a travé de los ID que se generan con el mismo formulario por ejemplo:
            //console.log(new Date($("#id_fecha_publicacion").val()).toISOString());
            let fecha_publicacion = $("#id_fecha_publicacion").val();
            let data = {
                csrfmiddlewaretoken: getCookie("csrftoken"),
                //csrf_token : getCookie('csrftoken'),
                autor: this.elements.id_autor.value,
                titulo: this.elements.id_titulo.value,
                contenido: $("#id_contenido").val(),
                fecha_publicacion: fecha_publicacion ? new Date(fecha_publicacion).toISOString() : null

            };
            $.ajax({
                    url: "/api/posts/",
                    type: "post",
                    data: data
                })
                .done(function (response) {
                    alert("guardado")
                    console.log(response);
                })
                .fail(function (error) {
                    alert("error")
                    console.log("error", error);
                });
        });
    });
</script>
{% endblock head %} {% block content %}

<a href="{% url 'blog:index' %}">Volver a la lista</a>
<div>
    {{ message }}
</div>
<br />
<form id="formCrearPost" enctype="multipart/form-data">
    {% csrf_token %}
    <label>
        Autor
    </label>
    {{ request.user.username }} {{ post_form.as_p }}

    <button type="submit" class="btn btn-primary" id="submitbutton">Crear post</button>
</form>

{% endblock content %}